# Set Pre-Invocation Handler

Use this handler to run any code prior to Luciq being invoked.

This block is executed on the UI thread and could be used for performing any UI changes before the SDK's UI is shown.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.willInvokeHandler = {
    someObject.setSomeState()
}
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.willInvokeHandler = ^{
    [someObject setSomeState];
};
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setOnInvokeCallback(new OnInvokeCallback() {
            @Override
            public void onInvoke() {
               //do something
            }
});
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setOnInvokeCallback {
                     //do something
        }
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.onInvokeHandler(function () {
    // Perform any UI changes before the SDK's UI is shown.
});
```

{% endtab %}

{% tab title="Flutter" %}

```dart
BugReporting.setOnInvokeCallback(Function function);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/sdk-event-handlers/set-pre-invocation-handler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
